• 0
BigNose

[1.3] TrackIR 5 not detected in x64 (again; still)

Question

First I want to say, I'm aware of this thread:

But, not wanting to necro it and using this as an opportunity to gather all recent information into one thread, I'm starting this here.

To state nothing new: In the vanilla state, freshly installed, the 64bit KSP (for quite some time now) is not able to connect to the TrackIR 5 software. The user could work around this problem by replacing the TrackIRUnity.dll in the KSP_Data/Managed folder with this one: https://github.com/medsouz/Unity-TrackIR-Plugin-DLL/releases.

However, this does no longer work in KSP 1.2.1x64.

TrackIR 5.4 does no longer connect to the 64bit Unity application at all, with or without fixed DLL.

I'm fully aware that this issue is already known, but also afraid that it might be ignored for now, as in this issue ticker, http://bugs.kerbalspaceprogram.com/issues/9456 the last response says:

Quote

Updated by -dead- about 1 month ago

Still a problem in KSP 1.2 -- workaround still works.
I know it's low priority, but it's also a 2 second fix: just replace the file -- it's not exactly rocket science (ironic). ;-)

However this is no longer the case for KSP 1.2.1x64. The vanilla DLL that comes with the clean install AND the supposed fix do no longer provide a connection between the TrackIR 5 software and the game engine.

I'm also aware there is a community modification for Headtracking equipment of all kinds, found here:

However, the DLL provided by this mod has the same problem on a 64bit install as the supposed 'fix' (likely the same). I myself was using KerbTrack up until KSP 1.2, then the update to 1.2.1 broke headtracking completly for me (and others I imagine). I ruled out the update replacing the fixed DLL with the stock one by replacing it again, still no joy.
 
As I want this thread to become an easy to use hub for users with the same problem, I'll edit this post with the solution once there is one I know of.
 
Might be useful: The author of the fixed 64bit TrackIRUnity.dll, medsouz, also posted this: https://github.com/medsouz/Unity-TrackIR-Plugin-DLL
A decompiled version of his DLL might be a good starting point for the programmers and tech savvy people, maybe someone knows what's happening.
 
And please: If anyone manages to get TrackIR 5 running on 64bit KSP 1.3, post your solution here!
Edited by BigNose
Problem persists from 1.2 to 1.3 now

Share this post


Link to post
Share on other sites

7 answers to this question

Recommended Posts

  • 0

Has anyone managed to get TrackIR working in x64 yet?  I'm running 1.2.2 and using OpenTrack.  Works in every other TrackIR game but not KSP.

Share this post


Link to post
Share on other sites
  • 0

I asked a similar question 2 months ago yet no fix as of yet....it's got to a point I've just given up now :(

Share this post


Link to post
Share on other sites
  • 0
On 12.6.2017 at 8:20 PM, maceemiller said:

I asked a similar question 2 months ago yet no fix as of yet....it's got to a point I've just given up now :(

Meh. We need more attention on this issue. :(

Share this post


Link to post
Share on other sites
  • 0

We are aware of the problem with the x64 plugin, and we have been working on it.

Share this post


Link to post
Share on other sites
This thread is quite old. Please consider starting a new thread rather than reviving this one.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.